Saltar al contenido principal
POST
/
events
/
2026-03
/
send
Send a custom event occurrence
curl --request POST \
  --url https://api.hubapi.com/events/2026-03/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventName": "<string>",
  "properties": {},
  "email": "<string>",
  "objectId": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z",
  "utk": "<string>",
  "uuid": "<string>"
}
'
This response has no body data.

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Cuerpo

application/json
eventName
string
requerido

The event's fully qualified name. This value (formatted as pe{HubID}_{name}) can be retrieved through the event definitions API or in HubSpot's UI.

properties
object
requerido

The event properties to update. Takes the format of key-value pairs (property internal name and property value). Learn more about HubSpot's default event properties.

email
string

The visitor's email address. Used for associating the event data with a CRM record.

objectId
string

The ID of the record for which the event occurred (e.g., contact ID or visitor ID).

occurredAt
string<date-time>

The time when this event occurred. If this isn't set, the current time will be used.

utk
string

The visitor's usertoken. Used for associating the event data with a CRM record.

uuid
string

Include a universally unique identifier to assign a unique ID to the event occurrence. Can be useful for matching data between HubSpot and other external systems.

Respuesta

Last modified on April 17, 2026